This document lists the events and parameters for
various types of
Data Studio Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=data_studio`.

## Access


Asset type related to asset accessing.
Events of this type are returned with `type=ACCESS`.

### Activate Distribution Content

Activate distribution content event name.
Event details Event name `ACTIVATE_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=ACTIVATE_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Activated {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

### Changed Setting

Changed Setting event name.
Event details Event name `CHANGED_SETTING` Parameters `CURRENT_VALUE` `string`


Current value.
`PREVIOUS_VALUE` `string`


Previous value.
`PROJECT_ID` `string`


Project ID.
`SETTING_NAME` `string`


Setting name.
Possible values:

- `GEMINI_ENABLEMENT`  
  Gemini enablement.
- `TRUSTED_TESTER_DATA_USE_ENABLEMENT`  
  Trusted Tester data use enablement.
- `TRUSTED_TESTER_FEATURES_ENABLEMENT`  
  Trusted Tester features enablement.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CHANGED_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed setting: {SETTING_NAME} for {PROJECT_ID} from {PREVIOUS_VALUE} to {CURRENT_VALUE}`

### Create

Create event name.
Event details Event name `CREATE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CREATE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} created an asset`

### Create Distribution Content

Create distribution content event name.
Event details Event name `CREATE_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CREATE_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Created {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

### Data Export

Data export event name.
Event details Event name `DATA_EXPORT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`DATA_EXPORT_TYPE` `string`


Data export type.
Possible values:

- `CSV`  
  Data export type csv.
- `CSV_EXCEL`  
  Data export type csv in excel file format.
- `EXTRACTED_DATA_SOURCE`  
  Data export type extracted data source.
- `SHEETS`  
  Data export type sheets.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=DATA_EXPORT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} exported data as {DATA_EXPORT_TYPE}`

### Deactivate Distribution Content

Deactivate distribution content event name.
Event details Event name `DEACTIVATE_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=DEACTIVATE_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Deactivated {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

### Delete

Delete event name.
Event details Event name `DELETE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=DELETE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} deleted an asset`

### Delete Distribution Content

Delete distribution content event name.
Event details Event name `DELETE_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=DELETE_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Deleted {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

### Download Report

Download report event name.
Event details Event name `DOWNLOAD_REPORT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=DOWNLOAD_REPORT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} downloaded a report as PDF`

### Edit

Edit event name.
Event details Event name `EDIT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=EDIT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} edited an asset`

### Edit Distribution Content

Edit distribution content event name.
Event details Event name `EDIT_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=EDIT_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Edited {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

### Parent Workspace change

Event name for change in parent workspace for an asset.
Event details Event name `PARENT_WORKSPACE_CHANGE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`CURRENT_VALUE` `string`


Current value.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PREVIOUS_VALUE` `string`


Previous value.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=PARENT_WORKSPACE_CHANGE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed Parent Workspace from {PREVIOUS_VALUE} to {CURRENT_VALUE}`

### Restore

Restore event name.
Event details Event name `RESTORE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=RESTORE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} restored an asset`

### Trash

Trash event name.
Event details Event name `TRASH` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=TRASH&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} trashed an asset`

### View

View event name.
Event details Event name `VIEW` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=VIEW&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} viewed an asset`

### View Distribution Content

View distribution content event name.
Event details Event name `VIEW_DISTRIBUTION_CONTENT` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`DISTRIBUTION_CONTENT_ID` `string`


Distribution content ID.
`DISTRIBUTION_CONTENT_NAME` `string`


Distribution content name.
`DISTRIBUTION_CONTENT_OWNER_EMAIL` `string`


Distribution content owner email.
`DISTRIBUTION_CONTENT_TYPE` `string`


Distribution content type.
Possible values:

- `ALERT`  
  Alert.
- `SCHEDULE`  
  Schedule.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=VIEW_DISTRIBUTION_CONTENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} Viewed {DISTRIBUTION_CONTENT_TYPE}: {DISTRIBUTION_CONTENT_NAME} for {ASSET_NAME}`

## ACL Changed


Asset type related to permissions change on asset.
Events of this type are returned with `type=ACL_CHANGE`.

### Link Sharing Access Type Change

Event name for change in link sharing access type of asset.
Event details Event name `CHANGE_ASSET_LINK_SHARING_ACCESS_TYPE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`CURRENT_VALUE` `string`


Current value.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`NEW_VALUE` `string`


New value.
Possible values:

- `CAN_EDIT`  
  Can Edit.
- `CAN_VIEW`  
  Can View.
- `NONE`  
  Assess type none.
`OLD_VALUE` `string`


Old value.
Possible values:

- `CAN_EDIT`  
  Can Edit.
- `CAN_VIEW`  
  Can View.
- `NONE`  
  Assess type none.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PREVIOUS_VALUE` `string`


Previous value.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`TARGET_DOMAIN` `string`


Target Domain.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CHANGE_ASSET_LINK_SHARING_ACCESS_TYPE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed link sharing access type from {OLD_VALUE} to {NEW_VALUE} for {TARGET_DOMAIN}`

### Link Sharing Visibility Change

Event name for change in link sharing visibility of asset.
Event details Event name `CHANGE_ASSET_LINK_SHARING_VISIBILITY` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`CURRENT_VALUE` `string`


Current value.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`NEW_VALUE` `string`


New value.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link on the web can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access, apart from possible sharing with individual users/groups outside the domain.
- `PRIVATE`  
  Asset link not exposed, apart from possible sharing with individual users/groups (even outside the domain).
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
`OLD_VALUE` `string`


Old value.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link on the web can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access, apart from possible sharing with individual users/groups outside the domain.
- `PRIVATE`  
  Asset link not exposed, apart from possible sharing with individual users/groups (even outside the domain).
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PREVIOUS_VALUE` `string`


Previous value.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`TARGET_DOMAIN` `string`


Target Domain.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CHANGE_ASSET_LINK_SHARING_VISIBILITY&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed link sharing visibility from {OLD_VALUE} to {NEW_VALUE} for {TARGET_DOMAIN}`

### User Sharing Permissions Change

Change user access event name.
Event details Event name `CHANGE_USER_ACCESS` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`CURRENT_VALUE` `string`


Current value.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`NEW_VALUE` `string`


New value.
Possible values:

- `CAN_EDIT`  
  User has edit permission for an asset.
- `CAN_VIEW`  
  User has viewing permission for an asset.
- `NONE`  
  User has no permission for an asset.
- `OWNER`  
  User has owner permission for an asset.
`OLD_VALUE` `string`


Old value.
Possible values:

- `CAN_EDIT`  
  User has edit permission for an asset.
- `CAN_VIEW`  
  User has viewing permission for an asset.
- `NONE`  
  User has no permission for an asset.
- `OWNER`  
  User has owner permission for an asset.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PREVIOUS_VALUE` `string`


Previous value.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`TARGET_USER_EMAIL` `string`


Target user email.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CHANGE_USER_ACCESS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed sharing permissions for {TARGET_USER_EMAIL} from {OLD_VALUE} to {NEW_VALUE}`

### User Sharing Permissions Changed For Team Workspace

Change user access to asset via workspace event name.
Event details Event name `CHANGE_USER_ACCESS_TO_ASSET_VIA_WORKSPACE` Parameters `ASSET_ID` `string`


Asset Id.
`ASSET_NAME` `string`


Asset name.
`ASSET_TYPE` `string`


Asset type.
Possible values:

- `DATA_SOURCE`  
  Asset type data source.
- `EXPLORER`  
  Asset type explorer.
- `REPORT`  
  Asset type report.
- `WORKSPACE`  
  Asset type workspace.
`CONNECTOR_TYPE` `string`


Connector type.
`CURRENT_VALUE` `string`


Current value.
`EMBEDDED_IN_REPORT_ID` `string`


ID of the report where the data source is embedded.
`OWNER_EMAIL` `string`


Owner email.
`PARENT_WORKSPACE_ID` `string`


Parent Workspace Id.
`PREVIOUS_VALUE` `string`


Previous value.
`PRIOR_VISIBILITY` `string`


Prior Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
`TARGET_USER_EMAIL` `string`


Target user email.
`VISIBILITY` `string`


Visibility.
Possible values:

- `PEOPLE_WITH_LINK`  
  Anyone with the link can access.
- `PEOPLE_WITHIN_DOMAIN_WITH_LINK`  
  Anyone with the link within the domain can access.
- `PRIVATE`  
  Private.
- `PUBLIC_ON_THE_WEB`  
  Public on the web.
- `SHARED_EXPLICITLY`  
  Shared with explicit users/groups.
- `UNKNOWN`  
  Unknown visibility.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_studio?eventName=CHANGE_USER_ACCESS_TO_ASSET_VIA_WORKSPACE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{actor} changed sharing permissions for {TARGET_USER_EMAIL} from {PREVIOUS_VALUE} to {CURRENT_VALUE}`